Bug 54460 - LBA drive 2 C/H/S incorrectly recognized
LBA drive 2 C/H/S incorrectly recognized
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-09 03:10 EDT by Karl schmidt
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 00:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karl schmidt 2001-10-09 03:10:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Dirve one and drive 2 reported different cylinder/heads/sectors with 
identical drives causing failure to install software raid. both Fdisk and 
disk druid were affected.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.set bios for LBA and default H/S/C for identical drives
2.install - at the diskdruid/fdisk step it becoes apparent that drive 2's 
data is wrong.
3.continuing to install software raid produces a system that will only 
boot off the floppy and is prehaps unstable.
	

Actual Results:  could not install software raid

Expected Results:  Install would work

Additional info:

Exchanged drives between Primary and secondary IDE controllers - problem 
persisted. Third party software corectly identified drive 2's H/C/S info. 
Partion sizes requested with disk druid returned much large sizes than 
requested (ie 32Meg returned 39 meg) Reproduced on second computer with 
identical hardware.

System is:
Mother board -- Biostar M7MKE Bios V6.00P6  Screen bottom reads:
06/26/2000-8371-686A-6A6LKB09C-00 AMD athlon 800MHZ slot A

Drives -- IBM Deskstar 60GXP IC35L040AVER07

VideoCard -- S3 Trio 3D 64  with 86C365 24 bit RAMDAC 230Mhz output pixel 
rate 4Megabyte card  BIOS 20B.05

NIC -- 100basT tulip Netgear FA310TX Rev-D2


Work around - use fdisk to manually make partitions on drive one - abot 
the install - swap drive cables - make partitions on second drive (now 
drive one) - run disk druid to make raid volumes. continue install.

BTW - Hey guys, this is the way a bug SHOULD be written up if anone is 
going to ever fix it.
Comment 1 giulioo 2001-10-09 15:47:21 EDT
There's another workaround that does not involve swapping disks: you just 
fdisk/sfdisk the 2nd disk forcing CHS the same of the 1st. Next boot you'll see 
the PTBL message for the 2nd disk. This is from my raid1 system (btw, set up 
manually not from rh install)

hda: SAMSUNG SV1021H, 9732MB w/426kB Cache, CHS=1240/255/63
hdc: SAMSUNG SV1021H, 9732MB w/426kB Cache, CHS=19774/16/63
...
Partition check:
 hda: hda1 hda2 hda3 < hda5 hda6 hda7 hda8 hda9 hda10 >
 hdc: [PTBL] [1240/255/63] hdc1 hdc2 hdc3 < hdc5 hdc6 hdc7 hdc8 hdc9 hdc10 >
Comment 2 Karl schmidt 2001-10-09 16:06:20 EDT
"you just fdisk/sfdisk the 2nd disk forcing CHS the same of the 1st."

Tried that - for some reason fdisk run from inside anaconda would not let me 
change H/C/S on drive 2. [Must be a perl scrip - with no variables declared 
lots of bugs creep in <grin> ]
Comment 3 Michael Fulbright 2001-10-11 10:52:23 EDT
Can you boot into the installer, goto VC2 and report what 
'cat /proc/ide/<drive>/geometry' says for both drives?

The kernel seems to be detecting the geometry wrong.
Comment 4 Karl schmidt 2001-10-11 17:13:28 EDT
The system is up and working now - once I formatted with fdisk everthing was 
detected correctly. 

I dumped the info for you here - it insisted on seeing the drive as the 
physical setup listed below instead of the logical set up that the BIOS LBA 
setup returned and you also see below. The first drive was not effected - only 
the second drive (on the second controller). I do understand that there have 
been changes made to anaconda in the 7.2 tree that may address this issue - 
This probably should get passed on to the programmer who is making those 
changes (might already be fixed -- who knows?) 

OT - I understand that 7.2 will support journaling file systems - will it allow 
a choice between ext3 and ReiserFS? (ReiserFS has veryimpressive bench marks)?. 


[root@malaysia ide]# cat hda/geometry 
physical     19710/16/255
logical      5005/255/63
[root@malaysia ide]# cat hdc/geometry 
physical     19710/16/255
logical      5005/255/63


[root@malaysia ide]# cat hda/model        
IC35L040AVER07-0
[root@malaysia ide]# cat hdc/model 
IC35L040AVER07-0



 cat via
----------VIA BusMastering IDE Configuration----------------
Driver Version:                     3.23
South Bridge:                       VIA vt82c686a
Revision:                           ISA 0x21 IDE 0x10
Highest DMA rate:                   UDMA66
BM-DMA base:                        0xe000
PCI clock:                          33MHz
Master Read  Cycle IRDY:            0ws
Master Write Cycle IRDY:            0ws
BM IDE Status Register Read Retry:  yes
Max DRDY Pulse Width:               No limit
-----------------------Primary IDE-------Secondary IDE------
Read DMA FIFO flush:          yes                 yes
End Sector FIFO flush:         no                  no
Prefetch Buffer:               no                  no
Post Write Buffer:             no                  no
Enabled:                      yes                 yes
Simplex only:                  no                  no
Cable Type:                   40w                 40w
-------------------drive0----drive1----drive2----drive3-----
Transfer Mode:       UDMA       PIO      UDMA      UDMA
Address Setup:       30ns     120ns      30ns      30ns
Cmd Active:          90ns      90ns      90ns      90ns
Cmd Recovery:        30ns      30ns      30ns      30ns
Data Active:         90ns     330ns      90ns      90ns
Data Recovery:       30ns     270ns      30ns      30ns
Cycle Time:          60ns     600ns      60ns      60ns
Transfer Rate:   33.0MB/s   3.3MB/s  33.0MB/s  33.0MB/s
Comment 5 Brent Fox 2001-10-23 00:18:38 EDT
7.2 will provide the choice between ext2 and ext3.  ReiserFS support is there
for Reiser partitions that already exist, but the installer will not create them
by default.

7.2 is available now, if you are interested in testing it.  Do you consider this
issue to be resolved now that things are working?
Comment 6 Brent Fox 2001-11-02 10:10:23 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 7 Karl schmidt 2001-11-02 12:49:51 EST
I will be installing RH7.2 this weekend - and will advise if this issue has 
been fixed.

Note You need to log in before you can comment on or make changes to this bug.